Class: Sketchup::DimensionLinear
- Inherits:
-
Dimension
- Object
- Entity
- Drawingelement
- Dimension
- Sketchup::DimensionLinear
Overview
The DimensionLinear class represents linear dimensions.
Constant Summary #
- Sketchup::DimensionLinear::TEXT_OUTSIDE_START
- Sketchup::DimensionLinear::TEXT_CENTERED
- Sketchup::DimensionLinear::TEXT_OUTSIDE_END
- Sketchup::DimensionLinear::ALIGNED_TEXT_ABOVE
- Sketchup::DimensionLinear::ALIGNED_TEXT_CENTER
- Sketchup::DimensionLinear::ALIGNED_TEXT_OUTSIDE
Constants inherited from Dimension
Sketchup::Dimension::ARROW_CLOSED, Sketchup::Dimension::ARROW_DOT, Sketchup::Dimension::ARROW_NONE, Sketchup::Dimension::ARROW_OPEN, Sketchup::Dimension::ARROW_SLASH
Instance Method Summary # collapse
-
#aligned_text_position ⇒ Object
The aligned_text_position method returns the text position for dimensions with aligned text (i.e. has_aligned_text? returns true).
-
#aligned_text_position(pos) ⇒ Object
The aligned_text_position= method is used to set the text position for dimensions with aligned text (i.e. has_aligned_text? returns true).
-
#end ⇒ Object
The end method returns the point or entity the dimension is referencing at its end.
-
#end=(pt_or_entity) ⇒ Object
The end= method is used to set the end point of the dimension and/or the entity it is referencing.
-
#end_attached_to ⇒ Array(Sketchup::InstancePath, Geom::Point3d)?
The #end_attached_to method will return the attached end point via an array containing the InstancePath and Geom::Point3d.
-
#end_attached_to=(path) ⇒ Object
The #end_attached_to= method will attach the ending point to the InstancePath and Geom::Point3d.
-
#offset_vector ⇒ Object
The offset_vector method returns the parallel offset vector from the reference line to the dimension line measured from the 'start' reference point.
-
#offset_vector=(offset_vector) ⇒ Object
The offset_vector= method is used to set the parallel offset vector from the reference line to the dimension line measured from the 'start' reference point.
-
#start ⇒ Object
The start method returns the point or entity the dimension is referencing at its start.
-
#start=(pt_or_entity) ⇒ Object
The start= method is used to set the start point of the dimension and/or the entity it is referencing.
-
#start_attached_to ⇒ Array(Sketchup::InstancePath, Geom::Point3d)?
The #start_attached_to method will return the attached start point via an array containing the InstancePath and Geom::Point3d.
-
#start_attached_to=(path) ⇒ Object
The #start_attached_to= method will attach the starting point to the InstancePath and Geom::Point3d.
-
#text_position ⇒ Object
The text_position method returns the position of the text along the dimension line.
-
#text_position(pos) ⇒ Object
The text_position= method is used to set the position of the text along the dimension line.
Methods inherited from Dimension
#add_observer, #arrow_type, #arrow_type=, #has_aligned_text=, #has_aligned_text?, #plane, #remove_observer, #text, #text=
Methods inherited from Drawingelement
#bounds, #casts_shadows=, #casts_shadows?, #erase!, #hidden=, #hidden?, #layer, #layer=, #material, #material=, #receives_shadows=, #receives_shadows?, #visible=, #visible?
Methods inherited from Entity
#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #inspect, #model, #parent, #persistent_id, #remove_observer, #set_attribute, #to_s, #typename, #valid?
Instance Method Details
↑ #aligned_text_position ⇒ Object
The aligned_text_position method returns the text position for dimensions with aligned text (i.e. has_aligned_text? returns true). Valid values are class constants:
-
DimensionLinear::ALIGNED_TEXT_ABOVE
-
DimensionLinear::ALIGNED_TEXT_CENTER
-
DimensionLinear::ALIGNED_TEXT_OUTSIDE
↑ #aligned_text_position(pos) ⇒ Object
The aligned_text_position= method is used to set the text position for dimensions with aligned text (i.e. has_aligned_text? returns true). Valid values are class constants:
-
DimensionLinear::ALIGNED_TEXT_ABOVE
-
DimensionLinear::ALIGNED_TEXT_CENTER
-
DimensionLinear::ALIGNED_TEXT_OUTSIDE
↑ #end ⇒ Object
The end method returns the point or entity the dimension is referencing at its end.
↑ #end=(pt_or_entity) ⇒ Object
The end= method is used to set the end point of the dimension and/or the entity it is referencing.
↑ #end_attached_to ⇒ Array(Sketchup::InstancePath, Geom::Point3d)?
The #end_attached_to method will return the attached end point via an array containing the InstancePath and Geom::Point3d.
↑ #end_attached_to=(path) ⇒ Object
The #end_attached_to= method will attach the ending point to the InstancePath and Geom::Point3d.
↑ #offset_vector ⇒ Object
The offset_vector method returns the parallel offset vector from the reference line to the dimension line measured from the 'start' reference point.
↑ #offset_vector=(offset_vector) ⇒ Object
The offset_vector= method is used to set the parallel offset vector from the reference line to the dimension line measured from the 'start' reference point.
↑ #start ⇒ Object
The start method returns the point or entity the dimension is referencing at its start.
↑ #start=(pt_or_entity) ⇒ Object
The start= method is used to set the start point of the dimension and/or the entity it is referencing.
↑ #start_attached_to ⇒ Array(Sketchup::InstancePath, Geom::Point3d)?
The #start_attached_to method will return the attached start point via an array containing the InstancePath and Geom::Point3d.
↑ #start_attached_to=(path) ⇒ Object
The #start_attached_to= method will attach the starting point to the InstancePath and Geom::Point3d.
↑ #text_position ⇒ Object
The text_position method returns the position of the text along the dimension line. Valid values are class constants:
-
DimensionLinear::TEXT_OUTSIDE_START
-
DimensionLinear::TEXT_CENTERED
-
DimensionLinear::TEXT_OUTSIDE_END
↑ #text_position(pos) ⇒ Object
The text_position= method is used to set the position of the text along the dimension line. Valid values are class constants:
-
DimensionLinear::TEXT_OUTSIDE_START
-
DimensionLinear::TEXT_CENTERED
-
DimensionLinear::TEXT_OUTSIDE_END